Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network100.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
100.0.0.0
Broadcast address
101.255.255.255
First usable
100.0.0.1
Last usable
101.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 64000000 · Integer 1677721600 to 1711276031
Reverse DNS zones
100.in-addr.arpa
101.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100100.00000000.00000000.00000000100.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01100100.00000000.00000000.00000000100.0.0.0
Broadcast01100101.11111111.11111111.11111111101.255.255.255
Split into smaller subnets/14

100.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1100.0.0.0/14100.0.0.1 to 100.3.255.254100.3.255.255262,142
2100.4.0.0/14100.4.0.1 to 100.7.255.254100.7.255.255262,142
3100.8.0.0/14100.8.0.1 to 100.11.255.254100.11.255.255262,142
4100.12.0.0/14100.12.0.1 to 100.15.255.254100.15.255.255262,142
5100.16.0.0/14100.16.0.1 to 100.19.255.254100.19.255.255262,142
6100.20.0.0/14100.20.0.1 to 100.23.255.254100.23.255.255262,142
7100.24.0.0/14100.24.0.1 to 100.27.255.254100.27.255.255262,142
8100.28.0.0/14100.28.0.1 to 100.31.255.254100.31.255.255262,142
9100.32.0.0/14100.32.0.1 to 100.35.255.254100.35.255.255262,142
10100.36.0.0/14100.36.0.1 to 100.39.255.254100.39.255.255262,142
11100.40.0.0/14100.40.0.1 to 100.43.255.254100.43.255.255262,142
12100.44.0.0/14100.44.0.1 to 100.47.255.254100.47.255.255262,142
13100.48.0.0/14100.48.0.1 to 100.51.255.254100.51.255.255262,142
14100.52.0.0/14100.52.0.1 to 100.55.255.254100.55.255.255262,142
15100.56.0.0/14100.56.0.1 to 100.59.255.254100.59.255.255262,142
16100.60.0.0/14100.60.0.1 to 100.63.255.254100.63.255.255262,142
17100.64.0.0/14100.64.0.1 to 100.67.255.254100.67.255.255262,142
18100.68.0.0/14100.68.0.1 to 100.71.255.254100.71.255.255262,142
19100.72.0.0/14100.72.0.1 to 100.75.255.254100.75.255.255262,142
20100.76.0.0/14100.76.0.1 to 100.79.255.254100.79.255.255262,142
21100.80.0.0/14100.80.0.1 to 100.83.255.254100.83.255.255262,142
22100.84.0.0/14100.84.0.1 to 100.87.255.254100.87.255.255262,142
23100.88.0.0/14100.88.0.1 to 100.91.255.254100.91.255.255262,142
24100.92.0.0/14100.92.0.1 to 100.95.255.254100.95.255.255262,142
25100.96.0.0/14100.96.0.1 to 100.99.255.254100.99.255.255262,142
26100.100.0.0/14100.100.0.1 to 100.103.255.254100.103.255.255262,142
27100.104.0.0/14100.104.0.1 to 100.107.255.254100.107.255.255262,142
28100.108.0.0/14100.108.0.1 to 100.111.255.254100.111.255.255262,142
29100.112.0.0/14100.112.0.1 to 100.115.255.254100.115.255.255262,142
30100.116.0.0/14100.116.0.1 to 100.119.255.254100.119.255.255262,142
31100.120.0.0/14100.120.0.1 to 100.123.255.254100.123.255.255262,142
32100.124.0.0/14100.124.0.1 to 100.127.255.254100.127.255.255262,142
33100.128.0.0/14100.128.0.1 to 100.131.255.254100.131.255.255262,142
34100.132.0.0/14100.132.0.1 to 100.135.255.254100.135.255.255262,142
35100.136.0.0/14100.136.0.1 to 100.139.255.254100.139.255.255262,142
36100.140.0.0/14100.140.0.1 to 100.143.255.254100.143.255.255262,142
37100.144.0.0/14100.144.0.1 to 100.147.255.254100.147.255.255262,142
38100.148.0.0/14100.148.0.1 to 100.151.255.254100.151.255.255262,142
39100.152.0.0/14100.152.0.1 to 100.155.255.254100.155.255.255262,142
40100.156.0.0/14100.156.0.1 to 100.159.255.254100.159.255.255262,142
41100.160.0.0/14100.160.0.1 to 100.163.255.254100.163.255.255262,142
42100.164.0.0/14100.164.0.1 to 100.167.255.254100.167.255.255262,142
43100.168.0.0/14100.168.0.1 to 100.171.255.254100.171.255.255262,142
44100.172.0.0/14100.172.0.1 to 100.175.255.254100.175.255.255262,142
45100.176.0.0/14100.176.0.1 to 100.179.255.254100.179.255.255262,142
46100.180.0.0/14100.180.0.1 to 100.183.255.254100.183.255.255262,142
47100.184.0.0/14100.184.0.1 to 100.187.255.254100.187.255.255262,142
48100.188.0.0/14100.188.0.1 to 100.191.255.254100.191.255.255262,142
49100.192.0.0/14100.192.0.1 to 100.195.255.254100.195.255.255262,142
50100.196.0.0/14100.196.0.1 to 100.199.255.254100.199.255.255262,142
51100.200.0.0/14100.200.0.1 to 100.203.255.254100.203.255.255262,142
52100.204.0.0/14100.204.0.1 to 100.207.255.254100.207.255.255262,142
53100.208.0.0/14100.208.0.1 to 100.211.255.254100.211.255.255262,142
54100.212.0.0/14100.212.0.1 to 100.215.255.254100.215.255.255262,142
55100.216.0.0/14100.216.0.1 to 100.219.255.254100.219.255.255262,142
56100.220.0.0/14100.220.0.1 to 100.223.255.254100.223.255.255262,142
57100.224.0.0/14100.224.0.1 to 100.227.255.254100.227.255.255262,142
58100.228.0.0/14100.228.0.1 to 100.231.255.254100.231.255.255262,142
59100.232.0.0/14100.232.0.1 to 100.235.255.254100.235.255.255262,142
60100.236.0.0/14100.236.0.1 to 100.239.255.254100.239.255.255262,142
61100.240.0.0/14100.240.0.1 to 100.243.255.254100.243.255.255262,142
62100.244.0.0/14100.244.0.1 to 100.247.255.254100.247.255.255262,142
63100.248.0.0/14100.248.0.1 to 100.251.255.254100.251.255.255262,142
64100.252.0.0/14100.252.0.1 to 100.255.255.254100.255.255.255262,142
65101.0.0.0/14101.0.0.1 to 101.3.255.254101.3.255.255262,142
66101.4.0.0/14101.4.0.1 to 101.7.255.254101.7.255.255262,142
67101.8.0.0/14101.8.0.1 to 101.11.255.254101.11.255.255262,142
68101.12.0.0/14101.12.0.1 to 101.15.255.254101.15.255.255262,142
69101.16.0.0/14101.16.0.1 to 101.19.255.254101.19.255.255262,142
70101.20.0.0/14101.20.0.1 to 101.23.255.254101.23.255.255262,142
71101.24.0.0/14101.24.0.1 to 101.27.255.254101.27.255.255262,142
72101.28.0.0/14101.28.0.1 to 101.31.255.254101.31.255.255262,142
73101.32.0.0/14101.32.0.1 to 101.35.255.254101.35.255.255262,142
74101.36.0.0/14101.36.0.1 to 101.39.255.254101.39.255.255262,142
75101.40.0.0/14101.40.0.1 to 101.43.255.254101.43.255.255262,142
76101.44.0.0/14101.44.0.1 to 101.47.255.254101.47.255.255262,142
77101.48.0.0/14101.48.0.1 to 101.51.255.254101.51.255.255262,142
78101.52.0.0/14101.52.0.1 to 101.55.255.254101.55.255.255262,142
79101.56.0.0/14101.56.0.1 to 101.59.255.254101.59.255.255262,142
80101.60.0.0/14101.60.0.1 to 101.63.255.254101.63.255.255262,142
81101.64.0.0/14101.64.0.1 to 101.67.255.254101.67.255.255262,142
82101.68.0.0/14101.68.0.1 to 101.71.255.254101.71.255.255262,142
83101.72.0.0/14101.72.0.1 to 101.75.255.254101.75.255.255262,142
84101.76.0.0/14101.76.0.1 to 101.79.255.254101.79.255.255262,142
85101.80.0.0/14101.80.0.1 to 101.83.255.254101.83.255.255262,142
86101.84.0.0/14101.84.0.1 to 101.87.255.254101.87.255.255262,142
87101.88.0.0/14101.88.0.1 to 101.91.255.254101.91.255.255262,142
88101.92.0.0/14101.92.0.1 to 101.95.255.254101.95.255.255262,142
89101.96.0.0/14101.96.0.1 to 101.99.255.254101.99.255.255262,142
90101.100.0.0/14101.100.0.1 to 101.103.255.254101.103.255.255262,142
91101.104.0.0/14101.104.0.1 to 101.107.255.254101.107.255.255262,142
92101.108.0.0/14101.108.0.1 to 101.111.255.254101.111.255.255262,142
93101.112.0.0/14101.112.0.1 to 101.115.255.254101.115.255.255262,142
94101.116.0.0/14101.116.0.1 to 101.119.255.254101.119.255.255262,142
95101.120.0.0/14101.120.0.1 to 101.123.255.254101.123.255.255262,142
96101.124.0.0/14101.124.0.1 to 101.127.255.254101.127.255.255262,142
97101.128.0.0/14101.128.0.1 to 101.131.255.254101.131.255.255262,142
98101.132.0.0/14101.132.0.1 to 101.135.255.254101.135.255.255262,142
99101.136.0.0/14101.136.0.1 to 101.139.255.254101.139.255.255262,142
100101.140.0.0/14101.140.0.1 to 101.143.255.254101.143.255.255262,142
101101.144.0.0/14101.144.0.1 to 101.147.255.254101.147.255.255262,142
102101.148.0.0/14101.148.0.1 to 101.151.255.254101.151.255.255262,142
103101.152.0.0/14101.152.0.1 to 101.155.255.254101.155.255.255262,142
104101.156.0.0/14101.156.0.1 to 101.159.255.254101.159.255.255262,142
105101.160.0.0/14101.160.0.1 to 101.163.255.254101.163.255.255262,142
106101.164.0.0/14101.164.0.1 to 101.167.255.254101.167.255.255262,142
107101.168.0.0/14101.168.0.1 to 101.171.255.254101.171.255.255262,142
108101.172.0.0/14101.172.0.1 to 101.175.255.254101.175.255.255262,142
109101.176.0.0/14101.176.0.1 to 101.179.255.254101.179.255.255262,142
110101.180.0.0/14101.180.0.1 to 101.183.255.254101.183.255.255262,142
111101.184.0.0/14101.184.0.1 to 101.187.255.254101.187.255.255262,142
112101.188.0.0/14101.188.0.1 to 101.191.255.254101.191.255.255262,142
113101.192.0.0/14101.192.0.1 to 101.195.255.254101.195.255.255262,142
114101.196.0.0/14101.196.0.1 to 101.199.255.254101.199.255.255262,142
115101.200.0.0/14101.200.0.1 to 101.203.255.254101.203.255.255262,142
116101.204.0.0/14101.204.0.1 to 101.207.255.254101.207.255.255262,142
117101.208.0.0/14101.208.0.1 to 101.211.255.254101.211.255.255262,142
118101.212.0.0/14101.212.0.1 to 101.215.255.254101.215.255.255262,142
119101.216.0.0/14101.216.0.1 to 101.219.255.254101.219.255.255262,142
120101.220.0.0/14101.220.0.1 to 101.223.255.254101.223.255.255262,142
121101.224.0.0/14101.224.0.1 to 101.227.255.254101.227.255.255262,142
122101.228.0.0/14101.228.0.1 to 101.231.255.254101.231.255.255262,142
123101.232.0.0/14101.232.0.1 to 101.235.255.254101.235.255.255262,142
124101.236.0.0/14101.236.0.1 to 101.239.255.254101.239.255.255262,142
125101.240.0.0/14101.240.0.1 to 101.243.255.254101.243.255.255262,142
126101.244.0.0/14101.244.0.1 to 101.247.255.254101.247.255.255262,142
127101.248.0.0/14101.248.0.1 to 101.251.255.254101.251.255.255262,142
128101.252.0.0/14101.252.0.1 to 101.255.255.254101.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses